ESB-2017.2718 - [Appliance][Virtual] F5 BIG-IP AAM and PEM: Denial of service - Remote/unauthenticated 2017-10-27

Printable version
PGP/GPG verifiable version

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                               ESB-2017.2718
        K19430431: TMM vulnerability CVE-2017-6160 identified in F5
                         BIG-IP AAM and BIG-IP PEM
                              27 October 2017

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:           F5 BIG-IP AAM
                   F5 BIG-PEM
Publisher:         F5 Networks
Operating System:  Network Appliance
                   Virtualisation
Impact/Access:     Denial of Service -- Remote/Unauthenticated
Resolution:        Patch/Upgrade
CVE Names:         CVE-2017-6160  

Original Bulletin: 
   https://support.f5.com/csp/article/K19430431

- --------------------------BEGIN INCLUDED TEXT--------------------

K19430431: TMM vulnerability CVE-2017-6160

Security Advisory

Original Publication Date: Oct 27, 2017

Applies to (see versions):

  o Product: BIG-IQ, BIG-IQ Cloud, BIG-IQ Device, BIG-IQ Security, BIG-IQ ADC,
    BIG-IQ Centralized Management
      - 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0, 4.3.0, 4.2.0, 4.1.0, 4.0.0
  o Product: BIG-IP, BIG-IP AAM, BIG-IP AFM, BIG-IP Analytics, BIG-IP APM,
    BIG-IP ASM, BIG-IP DNS, BIG-IP Edge Gateway, BIG-IP GTM, BIG-IP Link
    Controller, BIG-IP LTM, BIG-IP PEM, BIG-IP PSM, BIG-IP WebAccelerator
      - 13.0.0, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.2, 11.6.1, 11.6.0, 11.5.5,
        11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1, 11.4.0, 11.2.1
  o Product: Enterprise Manager
      - 3.1.1
  o Product: F5 iWorkflow
      - 2.0.2, 2.0.1, 2.0.0
  o Product: LineRate
      - 2.6.1, 2.6.0, 2.5.2, 2.5.1, 2.5.0
  o Product: ARX, ARX
      - 6.4.0, 6.3.0, 6.2.0
  o Product: F5 WebSafe
      - 1.0.0
  o Product: Traffix SDC
      - 5.1.0, 4.4.0, 4.0.5, 4.0.2, 4.0.0
  o Product: BIG-IQ Cloud and Orchestration
      - 1.0.0

Security Advisory Description

A remote attacker may create maliciously crafted HTTP request to cause Traffic
Management Microkernel (TMM) to restart and temporarily fail to process
traffic. This issue is exposed on virtual servers using a Policy Enforcement
profile or a Web Acceleration profile. (CVE-2017-6160)

Impact

The Traffic Management Microkernel (TMM) may restart and temporarily fail to
process traffic. Systems that do not have BIG-IP AAM or PEM provisioned are not
vulnerable.

Security Advisory Status

F5 Product Development has assigned ID 560109 (BIG-IP) to this vulnerability.

To determine if your release is known to be vulnerable, the components or
features that are affected by the vulnerability, and for information about
releases or hotfixes that address the vulnerability, refer to the following
table:

+---------------+----------------+-----------------+----------+----------------+
|               |Versions known  |Versions known to|          |Vulnerable      |
|Product        |to be vulnerable|be not vulnerable|Severity  |component or    |
|               |                |                 |          |feature         |
+---------------+----------------+-----------------+----------+----------------+
|               |                |13.0.0           |          |                |
|BIG-IP LTM     |None            |12.0.0 - 12.1.2  |Not       |None            |
|               |                |11.4.1 - 11.6.2  |vulnerable|                |
|               |                |11.2.1           |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |12.0.0 - 12.1.1 |13.0.0           |          |                |
|BIG-IP AAM     |11.6.0 - 11.6.1 |12.1.2           |High      |TMM             |
|               |11.4.1 - 11.5.4 |11.6.2           |          |                |
|               |                |11.5.5           |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |                |13.0.0           |Not       |                |
|BIG-IP AFM     |None            |12.0.0 - 12.1.2  |vulnerable|None            |
|               |                |11.4.1 - 11.6.2  |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |                |13.0.0           |          |                |
|BIG-IP         |None            |12.0.0 - 12.1.2  |Not       |None            |
|Analytics      |                |11.4.1 - 11.6.2  |vulnerable|                |
|               |                |11.2.1           |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |                |13.0.0           |          |                |
|BIG-IP APM     |None            |12.0.0 - 12.1.2  |Not       |None            |
|               |                |11.4.1 - 11.6.2  |vulnerable|                |
|               |                |11.2.1           |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |                |13.0.0           |          |                |
|BIG-IP ASM     |None            |12.0.0 - 12.1.2  |Not       |None            |
|               |                |11.4.1 - 11.6.2  |vulnerable|                |
|               |                |11.2.1           |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP DNS     |None            |13.0.0           |Not       |None            |
|               |                |12.0.0 - 12.1.2  |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP Edge    |None            |11.2.1           |Not       |None            |
|Gateway        |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP GTM     |None            |11.4.1 - 11.6.2  |Not       |None            |
|               |                |11.2.1           |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|               |                |13.0.0           |          |                |
|BIG-IP Link    |None            |12.0.0 - 12.1.2  |Not       |None            |
|Controller     |                |11.4.1 - 11.6.2  |vulnerable|                |
|               |                |11.2.1           |          |                |
+---------------+----------------+-----------------+----------+----------------+
|               |12.0.0 - 12.1.1 |13.0.0           |          |                |
|BIG-IP PEM     |11.6.0 - 11.6.1 |12.1.2           |High      |TMM             |
|               |11.4.1 - 11.5.4 |11.6.2           |          |                |
|               |                |11.5.5           |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP PSM     |None            |11.4.1 - 11.4.1  |Not       |None            |
|               |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IP         |None            |11.2.1           |Not       |None            |
|WebAccelerator |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|               |                |13.0.0           |Not       |                |
|BIG-IP WebSafe |None            |12.0.0 - 12.1.2  |vulnerable|None            |
|               |                |11.6.0 - 11.6.2  |          |                |
+---------------+----------------+-----------------+----------+----------------+
|ARX            |None            |6.2.0 - 6.4.0    |Not       |None            |
|               |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|Enterprise     |None            |3.1.1            |Not       |None            |
|Manager        |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Cloud   |None            |4.0.0 - 4.5.0    |Not       |None            |
|               |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Device  |None            |4.2.0 - 4.5.0    |Not       |None            |
|               |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Security|None            |4.0.0 - 4.5.0    |Not       |None            |
|               |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ ADC     |None            |4.5.0            |Not       |None            |
|               |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ         |                |5.0.0 - 5.1.0    |Not       |                |
|Centralized    |None            |4.6.0            |vulnerable|None            |
|Management     |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|BIG-IQ Cloud   |                |                 |Not       |                |
|and            |None            |1.0.0            |vulnerable|None            |
|Orchestration  |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+
|F5 iWorkflow   |None            |2.0.0 - 2.0.2    |Not       |None            |
|               |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|LineRate       |None            |2.5.0 - 2.6.1    |Not       |None            |
|               |                |                 |vulnerable|                |
+---------------+----------------+-----------------+----------+----------------+
|               |                |5.0.0 - 5.1.0    |Not       |                |
|Traffix SDC    |None            |4.0.0 - 4.4.0    |vulnerable|None            |
|               |                |                 |          |                |
+---------------+----------------+-----------------+----------+----------------+

Security Advisory Recommended Actions

If you are running a version listed in the Versions known to be vulnerable
column, you can eliminate this vulnerability by upgrading to a version listed
in the Versions known to be not vulnerable column. If the table lists only an
older version than what you are currently running, or does not list a
non-vulnerable version, then no upgrade candidate currently exists.

Mitigation

None

Supplemental Information

  o K9970: Subscribing to email notifications regarding F5 products
  o K9957: Creating a custom RSS feed to view new and updated documents
  o K4602: Overview of the F5 security vulnerability response policy
  o K4918: Overview of the F5 critical issue hotfix policy
  o K167: Downloading software and firmware from F5
  o K13123: Managing BIG-IP product hotfixes (11.x - 13.x)
  o K9502: BIG-IP hotfix matrix

Applies to (see versions):

  o ARX:
      - 6.4.0, 6.3.0, 6.2.0
  o BIG-IP AAM:
      - 13.0.0, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.2, 11.6.1, 11.6.0, 11.5.5,
        11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1, 11.4.0, 11.2.1
  o BIG-IP AFM:
      - 13.0.0, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.2, 11.6.1, 11.6.0, 11.5.5,
        11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1, 11.4.0, 11.2.1
  o BIG-IP APM:
      - 13.0.0, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.2, 11.6.1, 11.6.0, 11.5.5,
        11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1, 11.4.0, 11.2.1
  o BIG-IP ASM:
      - 13.0.0, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.2, 11.6.1, 11.6.0, 11.5.5,
        11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1, 11.4.0, 11.2.1
  o BIG-IP Analytics:
      - 13.0.0, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.2, 11.6.1, 11.6.0, 11.5.5,
        11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1, 11.4.0, 11.2.1
  o BIG-IP DNS:
      - 13.0.0, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.2, 11.6.1, 11.6.0, 11.5.5,
        11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1, 11.4.0, 11.2.1
  o BIG-IP Edge Gateway:
      - 13.0.0, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.2, 11.6.1, 11.6.0, 11.5.5,
        11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1, 11.4.0, 11.2.1
  o BIG-IP GTM:
      - 13.0.0, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.2, 11.6.1, 11.6.0, 11.5.5,
        11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1, 11.4.0, 11.2.1
  o BIG-IP LTM:
      - 13.0.0, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.2, 11.6.1, 11.6.0, 11.5.5,
        11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1, 11.4.0, 11.2.1
  o BIG-IP Link Controller:
      - 13.0.0, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.2, 11.6.1, 11.6.0, 11.5.5,
        11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1, 11.4.0, 11.2.1
  o BIG-IP PEM:
      - 13.0.0, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.2, 11.6.1, 11.6.0, 11.5.5,
        11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1, 11.4.0, 11.2.1
  o BIG-IP PSM:
      - 13.0.0, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.2, 11.6.1, 11.6.0, 11.5.5,
        11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1, 11.4.0, 11.2.1
  o BIG-IP WebAccelerator:
      - 13.0.0, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.2, 11.6.1, 11.6.0, 11.5.5,
        11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1, 11.4.0, 11.2.1
  o BIG-IQ ADC:
      - 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0, 4.3.0, 4.2.0, 4.1.0, 4.0.0
  o BIG-IQ Centralized Management:
      - 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0, 4.3.0, 4.2.0, 4.1.0, 4.0.0
  o BIG-IQ Cloud:
      - 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0, 4.3.0, 4.2.0, 4.1.0, 4.0.0
  o BIG-IQ Cloud and Orchestration:
      - 1.0.0
  o BIG-IQ Device:
      - 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0, 4.3.0, 4.2.0, 4.1.0, 4.0.0
  o BIG-IQ Security:
      - 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0, 4.3.0, 4.2.0, 4.1.0, 4.0.0
  o Enterprise Manager:
      - 3.1.1
  o F5 WebSafe:
      - 1.0.0
  o F5 iWorkflow:
      - 2.0.0, 2.0.1, 2.0.2
  o LineRate:
      - 2.6.0, 2.5.1, 2.6.1, 2.5.2, 2.5.0
  o Traffix SDC:
      - 4.0.2, 5.1.0, 4.0.0, 4.4.0, 4.0.5

(C) Copyright 2017 by F5 Networks, Inc. | Policies | Trademarks rev:1.0.907.4131

- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

NOTE: Third Party Rights
This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content. The decision to follow or act on information or advice
contained in this security bulletin is the responsibility of each user or
organisation, and should be considered in accordance with your organisation's
site policies and procedures. AusCERT takes no responsibility for consequences
which may arise from following or acting on information or advice contained in
this security bulletin.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the author's website to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        https://www.auscert.org.au/bulletins/

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: http://www.auscert.org.au/render.html?it=1967

iQIVAwUBWfKTwox+lLeg9Ub1AQigsg/+LjoPfPc8wbQuKQFlkQ7fJoM4BhrX2Tan
MfIh5FMnDOs42H3dNEiNcwIoBaH+EgDGqUtHL/TXTIKNVJ/Lnj7wwK/SQ34HEN5Y
YXdF2hzq78hC7r+4tGIv3dodHJcXWdzGVP+8NsjpFeRLNehNtGzEZ1iqspHiVJYr
VbIuWVHrL3kqbPv4a8vWd3DQXyarObzRJ8Xoi8oS9wMiCfZ68Y4soWNainUPv+BH
GNSL0+lkFFpoMpe02p5wsLYBmPaoJStTWYXG1BC5cy4y+KrMcO+Zy3ilTxNGvG+H
G1ET8pP+r2SMj2DnqL+mzJCgio3rbf7POYl2hB3ENDsS+s2wsxrahUiNqqq8SFTR
qNkKMiKLOxlYqO4JQWqiAhUNLOHUuYSQrmS3RQedDux2dLNLW/QfWnJW++Uhr1is
GlClil1SQkjk94n42JAcC3VzaMtStTrEe76LvBnl5fAws7JmflSeMohOgQN7M+tr
E65N2AOpr5dxocEIOy9txNIkhjVDTcbml1KG1r/PKTKtveGOZFZFm/QUCs+wfBKm
kqVQ8I0tpauR60Nh9srbRucWzUoFwa+jLcddLI2VFP6VV1cN4+CNn8lFIN0N8vx2
UYDbeDdjOCGuehT4CA3Seze60zT0F4/J5Ae6i4MxOzKUHRwSpPN9N/aT2otenPJg
9+Vavf+rLv8=
=gRBS
-----END PGP SIGNATURE-----

« Back to bulletins